info:
  name: elixPro - Get module versions
  type: http
  seq: 4

http:
  method: GET
  url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento/history/versions?procedureTag=edilizia_rda_manutenzione_wf"
  params:
    - name: procedureTag
      value: edilizia_rda_manutenzione_wf
      type: query
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: false

examples:
  - name: example
    request:
      url: https://unipr.elixforms.it/eP/elixpro-studio/api/elixpro/procedimento/history/versions?procedureTag=edilizia_rda_manutenzione_wf
      method: GET
      params:
        - name: procedureTag
          value: edilizia_rda_manutenzione_wf
          type: query
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Mon, 31 Aug 2026 12:57:35 GMT
        - name: server
          value: "Payara Server 6.2025.1 #badassfish"
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'; img-src 'self' blob: data: https:;"
        - name: content-type
          value: application/json;charset=UTF-8
        - name: content-length
          value: "729"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: strict-transport-security
          value: max-age=31536000; includeSubDomains
        - name: x-xss-protection
          value: "1"
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: keep-alive
          value: timeout=10, max=500
        - name: connection
          value: Keep-Alive
      body:
        type: json
        data: |-
          {
            "ok": true,
            "data": {
              "configured": true,
              "source": "jdbc",
              "items": [
                {
                  "id": 17,
                  "tag": null,
                  "historyDt": "2026-07-24T10:04:31.390Z",
                  "creId": "pierpaolo.mammi@unipr.it"
                },
                {
                  "id": 16,
                  "tag": null,
                  "historyDt": "2026-07-24T10:01:05.706Z",
                  "creId": "pierpaolo.mammi@unipr.it"
                },
                {
                  "id": 15,
                  "tag": null,
                  "historyDt": "2026-07-24T10:00:04.909Z",
                  "creId": "pierpaolo.mammi@unipr.it"
                },
                {
                  "id": 14,
                  "tag": null,
                  "historyDt": "2026-07-24T09:54:36.791Z",
                  "creId": "pierpaolo.mammi@unipr.it"
                },
                {
                  "id": 13,
                  "tag": null,
                  "historyDt": "2026-07-24T09:10:10.208Z",
                  "creId": "pierpaolo.mammi@unipr.it"
                },
                {
                  "id": 12,
                  "tag": null,
                  "historyDt": "2026-07-23T14:59:20.653Z",
                  "creId": "pierpaolo.mammi@unipr.it"
                },
                {
                  "id": 11,
                  "tag": null,
                  "historyDt": "2026-07-23T14:53:22.915Z",
                  "creId": "pierpaolo.mammi@unipr.it"
                }
              ]
            }
          }
